Public Class dSAPT_RequerimientoBusinessObject
    Inherits BusinessObject(Of dSAPT_Requerimiento)

#Region "Contructores"
    Public Sub New()
        MyBase.New()
        DbHelper = New dSAPT_RequerimientoDbHelper
    End Sub

    Public Sub New(ByVal entity As dSAPT_Requerimiento)
        MyBase.New(entity)
        DbHelper = New dSAPT_RequerimientoDbHelper
    End Sub

    Public Sub New(ByVal REQ_CODIGO As Int32, Optional ByVal foreignLevel As Integer=0)
        Me.New()
        _Entity.REQ_CODIGO = REQ_CODIGO
        Dim Entity_Aux As dSAPT_Requerimiento = DbHelper.SelectEntity(_Entity,foreignLevel)
        If Not Entity_Aux Is Nothing Then
            _IsNew = False
            _Entity = Entity_Aux
        End If
    End Sub
#End Region

#Region "Metodos Estaticos"
    Protected Shared _Instance As dSAPT_RequerimientoBusinessObject
    Protected Shared Function GetDdHelperInstance() As dSAPT_RequerimientoDbHelper
        If _Instance Is Nothing Then
            _Instance = New dSAPT_RequerimientoBusinessObject
        End If
    Return CType(_Instance.DbHelper, dSAPT_RequerimientoDbHelper)
    End Function

    Public Shared Function GetListdSAPT_Requerimiento(Optional ByVal foreignLevel As Integer=0) As EntityList(Of dSAPT_Requerimiento)
        Return GetDdHelperInstance.SelectList(foreignLevel)
    End Function

#End Region
End Class
